# Contributing to DOSCONTAINER

We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Creating a new game config or improving an existing one

## We Develop with Area536 Gitea
We use Area536 Gitea to host code, to track issues and feature requests, as well as accept merge requests.

## Any contributions you make will be under the BSD 3-Clause license
In short, when you submit code changes, your submissions are understood to be under the same license. See
the LICENSE file included with this repository for details. You may add yourself as a contributor to this
file.

## Report bugs using GitLab's Issues feature

Please do not use the MiSTer forum or other means. Only tracked issues in Gitea will actually exist and
be considered. That's not to say nobody will respond on the forum, it's just not the authoritative source
to find out the status of issues.

**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can.
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

People *love* thorough bug reports. I'm not even kidding.

## License
By contributing, you agree that your contributions will be licensed under the BSD 3-Clause license, see
the LICENSE file for details.

## Code of conduct
We're all reasonable adults here. Behave like one or find out.